<?php

namespace apexl\Io\modules\display\components;

use apexl\Io\modules\component\entities\componentEntity;

class Modal extends componentEntity
{
    public function __construct()
    {
        parent::__construct();
        $this->addClass('button-link');
    }

    public function setTitle($title)
    {
        $this->addProperty('title', $title);
        return $this;
    }

    public function setModalId($modalId)
    {
        $this->addProperty('modalId', $modalId);
        return $this;
    }

    public function setButtonContent($content)
    {
        $this->addProperty('buttonContent', $content);
        return $this;
    }
}
